# vue-bpmn-activiti 组件库

### 快速开始

#### 1. 安装组件库

```bash
npm i vue-bpmn-activiti
```

#### 2. 引用组件库

```javascript
import "@jt_coder/vue-bpmn-activiti/dist/index.css";
import VueBpmn from "@jt_coder/vue-bpmn-activiti";

Vue.use(VueBpmn);
```

### 流程设计组件（BpmnDesigner）

#### 示例

```javascript
<BpmnDesigner :xmlStr="xml" @change="onChange" />

onChange(xml) {
    console.log("xml:", xml);
},
```

#### 属性说明

| 属性   | 说明                  | 类型   | 默认值 |
| ------ | --------------------- | ------ | ------ |
| xmlStr | activiti xml 格式数据 | string | -      |

#### 事件说明

| 事件名称 | 说明                                     | 回调参数        |
| -------- | ---------------------------------------- | --------------- |
| change   | 元素新增，删除，修改，移动，属性设置触发 | (event) => void |
